com.mapinfo.midev.xml.mws

## Class DataSourceDefinition

- java.lang.Object
- - com.mapinfo.midev.xml.mws.DataSourceDefinition

All Implemented Interfaces:
  ICacheable

    public final class DataSourceDefinition
    extends Object
    implements ICacheable

Instances of this class represent an item in the <mxp:DataSourceDefinitionSet> located in the MWS schema.

### Constructor Summary

Constructors
Constructor and Description
`DataSourceDefinition(String name, ITableDefinition tableDefinition, Connection connection, String id)` Creates a DataSourceDefinition with the specified values.

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `getConnection()` Returns the Connection that this DataSourceDefinition uses.
`String` `getID()` Returns the XML ID of the DataSourceDefinition in the MWS.
`String` `getName()` Returns the name of the data source element.
`ITableDefinition` `getTableDefinition()` Returns the ITableDefinition that this DataSourceDefinition represents.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.mapinfo.midev.cache.ICacheable

`isModified`

### Constructor Detail

#### DataSourceDefinition

    public DataSourceDefinition(String name,
                                ITableDefinition tableDefinition,
                                Connection connection,
                                String id)

Creates a DataSourceDefinition with the specified values.

Parameters:
  `name` - The value of the <DataSourcename> element.
  `tableDefinition` - the ITableDefinition that this DataSourceDefinition represents.
  `connection` - The Connection that this DataSourceDefinition uses. May be null.
  `id` - The id of the <mxp:DataSourceDefinition>

### Method Detail

#### getTableDefinition

    public ITableDefinition getTableDefinition()

Returns the ITableDefinition that this DataSourceDefinition represents.

Returns:
  the ITableDefinition that this DataSourceDefinition represents.

#### getID

    public String getID()

Returns the XML ID of the DataSourceDefinition in the MWS.

Returns:
  the XML ID of the DataSourceDefinition in the MWS.

#### getName

    public String getName()

Returns the name of the data source element.

Returns:
  the name of the data source element.

#### getConnection

    public Connection getConnection()

Returns the Connection that this DataSourceDefinition uses.

Returns:
  the Connection that this DataSourceDefinition uses.